<!-- Content Wrapper. Contains page content -->
<div class="content-wrapper">
    <!-- Content Header (Page header) -->
    <section class="content-header">
        <h1>
            Detail Application
            <small>Detail Application</small>
        </h1>
        <ol class="breadcrumb">
            <li><a href="{{ @BASE }}/dashboard"><i class="fa fa-dashboard"></i> Dashboard</a></li>
            <li><a href="{{ @BASE }}/order">Orders</a></li>
            <li class="active">Detail Application</li>
        </ol>
    </section>

    <!-- Main content -->
    <section class="content">
        <form action="{{ @BASE }}/order" method="post">
            <div class="row">
                <div class="col-md-8">
                    <br />
                    <check if="{{ @SESSION.flash['errors']!=null }}">
                        <div class="alert alert-danger alert-dismissable">
                            <button type="button" class="close" data-dismiss="alert" aria-hidden="true">&times;</button>
                            <h4><i class="icon fa fa-ban"></i> {{ @SESSION.flash['errorType'] }}</h4>
                            <repeat group="{{ @SESSION.flash['errors'] }}" value="{{ @error }}">
                                <li>{{ @error[0] }}</li>
                            </repeat>
                        </div>
                    </check>
                </div>
            </div>
            <div class="row">
                <div class="col-md-8">
                    <!-- general form elements -->
                    <div class="box box-primary">
                        <div class="box-header">
                            <h3 class="box-title">Detail Application</h3>
                        </div><!-- /.box-header -->
                        <div class="box-body">
                            <div class="nav-tabs-custom">
                                <ul class="nav nav-tabs">
                                    <li class="active"><a href="#tab_1" data-toggle="tab">Data Customer</a></li>
                                    <li><a href="#tab_2" data-toggle="tab">Lampiran Dokumen</a></li>
                                </ul>
                                <div class="tab-content">
                                    <div class="tab-pane active" id="tab_1">
                                        <div class="form-group">
                                            <label for="name">Number</label>
                                            <input disabled type="text" value="{{ @application->number }}"
                                                class="form-control">
                                        </div>
                                        <div class="form-group">
                                            <label for="name">Cabang</label>
                                            <input disabled type="text" value="{{ @application->cabang->name }}"
                                                class="form-control">
                                        </div>
                                        <div class="form-group">
                                            <label for="name">Customer Name</label>
                                            <input disabled type="text" value="{{ @application->customer_name }}"
                                                class="form-control">
                                        </div>
                                        <div class="form-group">
                                            <label for="name">Customer Phone</label>
                                            <input disabled type="text" value="{{ @application->customer_phone }}"
                                                class="form-control">
                                        </div>
                                        <div class="form-group">
                                            <label for="name">Customer Address</label>
                                            <input disabled type="text" value="{{ @application->customer_address }}"
                                                class="form-control">
                                        </div>
                                        <div class="form-group">
                                            <label for="name">Jenis Motor</label>
                                            <input disabled type="text" value="{{ @application->jenis_motor }}"
                                                class="form-control">
                                        </div>
                                    </div>
                                    <!-- /.tab-pane -->
                                    <div class="tab-pane" id="tab_2">
                                        <div class="row">
                                            <repeat group="{{ @documents.data }}" value="{{ @doc }}">
                                                <div class="col-xs-3">                                                  
                                                        <a href="{{@IMAGE_HOST}}/uploads/{{ @doc.file_name}}" class="thumbnail" target="_blank">
                                                            <img src="{{@IMAGE_HOST}}/uploads/{{ @doc.file_name}}" class="img-responsive">
                                                            {{ @doc.title }}   
                                                        </a>                                
                                                </div>                                               
                                            </repeat>
                                        </div>
                                    </div>
                                    <!-- /.tab-pane -->
                                </div>
                                <!-- /.tab-content -->
                            </div>


                        </div><!-- box-body -->
                    </div><!-- /.box -->
                </div>
                <div class="col-md-4">
                    <div class="box box-primary">
                        <div class="box-header">
                            <h3 class="box-title">Status Order: {{ @application->current_status }}</h3>
                        </div><!-- /.box-header -->
                        <div class="box-body">
                            <check if="{{ @application->current_status=='Baru' }}">
                                <true>
                                    <div class="form-group">
                                        <label for="name">Tugaskan Surveyor</label>
                                        <select class="form-control" name="surveyor">
                                            <repeat group="{{ @listSurveyor }}" value="{{ @surveyor }}">
                                                <option value="{{ @surveyor.account._id }}">
                                                    {{ @surveyor.name }}</option>
                                            </repeat>
                                        </select>
                                    </div>
                                </true>
                                <false>
                                    <div class="form-group">
                                        <label for="name">Surveyor</label>
                                        <input disabled type="text" value="{{ @application->survey_by->name }}"
                                            class="form-control">                                        
                                    </div>
                                </false>
                            </check>
                        </div>
                        <div class="box-footer">
                            <input type="hidden" name="id" value="{{ @application->_id }}" />
                            <check if="{{ @application->current_status=='New' }}">
                                <true>
                                    <button type="submit" name="button" class="btn btn-primary"
                                        value="update">Submit</button>
                                </true>
                            </check>
                            <check if="{{ @application->current_status=='On Process' }}">
                                <true>
                                    <button type="submit" name="button" class="btn btn-success"
                                        value="Approved">Approve</button>
                                    <button type="submit" name="button" class="btn btn-danger"
                                        value="Rejected">Reject</button>
                                </true>
                            </check>
                        </div>
                    </div>
                </div>
            </div>
        </form>
    </section><!-- /.content -->
</div><!-- /.content-wrapper -->